Bug 4148 - alarmd should use '.' instead of 'source' in '/bin/sh' scripts
: alarmd should use '.' instead of 'source' in '/bin/sh' scripts
Status: RESOLVED WONTFIX
Product: Mer
Core
: 0.7
: All Mer
: Low normal (vote)
: ---
Assigned To: Carsten Munk
: general-bugs
:
: patch
:
:
  Show dependency tree
 
Reported: 2009-02-26 07:47 UTC by timeless
Modified: 2011-11-28 12:08 UTC (History)
2 users (show)

See Also:


Attachments
Removes source from init script for alarmd (699 bytes, patch)
2009-06-03 00:52 UTC, Erik Hovland
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description timeless (reporter) 2009-02-26 07:47:14 UTC
mer0.7+
alarmd 0.5.20mer1

steps:
0. let alarmd be installed
1. boot system and watch console log

expected results:
no complaints about bashisms (source: not found)

actual results:

/etc/rc2.d/S99alarmd: 43: source: not found
/etc/rc2.d/S99alarmd: 51: source: not found

the lines look something like this:
   source /etc/osso-af-init/af-defines.sh

   source $i

instead of using 'source', the scripts should use '.'

Alternatively, if they insist on being bashist, they need to change from
#!/bin/sh to #!/bin/bash

Note that a future sdk release of alarmd will not contain this bug, so you
could wait for it if you like. Personally, I'm impatient :).
Comment 1 Erik Hovland 2009-06-03 00:52:15 UTC
Created an attachment (id=1213) [details]
Removes source from init script for alarmd

Fixes the two occurrences of source in the init script for alarmd. This is
based on the latest from the master branch of alarmd on gitorious.
Comment 2 Andre Klapper maemo.org 2011-11-28 12:08:33 UTC
Closing the remaining open bug reports for "Mer" in bugs.maemo.org as WONTFIX,
as Mer now has its own bugtracker at 

                            http://bugs.merproject.org/

Please file a bug report in http://bugs.merproject.org/ if the problem that you
reported here still happens in a recent version of Mer published on
http://releases.merproject.org . 
Thank you for helping and supporting Mer!